Summary: Keymap handling library for toolkits and window systems
Name: libxkbcommon
Version: 1.5.0
Release: 3%{?dist}
License: MIT
URL: https://xkbcommon.org/
Source0: https://xkbcommon.org/download/%{name}-%{version}.tar.xz
BuildRequires: git meson byacc flex bison
BuildRequires: xorg-x11-util-macros xorg-x11-proto-devel
BuildRequires: libX11-devel libxml2-devel xkeyboard-config-devel
BuildRequires: pkgconfig(xcb-xkb) >= 1.10
Requires: xkeyboard-config

%description
libxkbcommon is a library for handling of keyboard descriptions, including 
loading them from disk, parsing them and handling their state. It's mainly 
meant for client toolkits, window systems, and other system applications.

%package devel
Summary: X.Org X11 XKB parsing development package
Requires: libxkbcommon = %{version}-%{release}

%description devel
X.Org X11 XKB parsing development package

%package x11
Summary: X.Org X11 XKB keymap creation library
Requires: libxkbcommon = %{version}-%{release}

%description x11
libxkbcommon-x11 is the X.Org library for creating keymaps by querying the X server.

%package x11-devel
Summary: Development files for the libxkbcommon-x11 library
Requires: libxkbcommon-x11 = %{version}-%{release}

%description x11-devel
xkbcommon is a keymap handling library, which can parse XKB
descriptions (e.g. from xkeyboard-config), and use this to help its
users make sense of their keyboard input.

%package utils
Summary: X.Org X11 XKB parsing utilities
Requires: libxkbcommon = %{version}-%{release}

%description utils
libxkbcommon-utils is a set of utilities to analyze and test XKB parsing.

%prep
%autosetup 

%build
%meson -Denable-docs=false -Denable-x11=true -Denable-wayland=false
%meson_build

%install
%meson_install

%files
%license LICENSE
%{_libdir}/libxkbcommon.so.*
%{_libdir}/libxkbregistry.so.*

%files devel
%{_libdir}/libxkbcommon.so
%{_libdir}/libxkbregistry.so
%dir %{_includedir}/xkbcommon/
%{_includedir}/xkbcommon/xkbcommon*
%{_includedir}/xkbcommon/xkbregistry.h
%{_libdir}/pkgconfig/xkbcommon.pc
%{_libdir}/pkgconfig/xkbregistry.pc

%files x11
%{_libdir}/libxkbcommon-x11.so.*

%files x11-devel
%{_libdir}/libxkbcommon-x11.so
%{_libdir}/pkgconfig/xkbcommon-x11.pc
%{_includedir}/xkbcommon/xkbcommon-x11.h

%files utils
%{_bindir}/xkbcli
%{_libexecdir}/xkbcommon/xkbcli*
%{_mandir}/man1/xkbcli*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 2 2023 Shuo Wang <abushwang@tencent.com> - 1.5.0-1
- update to 1.5.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 14 2022 Wang Zhe <bessiewang@tencent.com> - 1.4.1-1
- initial build
